<?php


function textes_etendus_declarer_tables_interfaces($interfaces) {
	$interfaces['table_des_traitements']['TEXTE2']['articles'] = _TRAITEMENT_RACCOURCIS;
	$interfaces['table_des_traitements']['TEXTE3']['articles'] = _TRAITEMENT_RACCOURCIS;
	$interfaces['table_des_traitements']['TEXTE4']['articles'] = _TRAITEMENT_RACCOURCIS;
	return $interfaces;
}

function textes_etendus_declarer_tables_objets_sql ($tables){

	$tables['spip_articles']['field']['texte2'] = "longtext NOT NULL";
	$tables['spip_articles']['field']['texte3'] = "longtext NOT NULL";
	$tables['spip_articles']['field']['texte4'] = "longtext NOT NULL";

	return $tables;
}

function textes_etendus_afficher_contenu_objet($flux) {
	$objet = $flux['args']['type'];
	if($objet == "article") {
		$id_article = intval($flux['args']['id_objet']);
		$query = sql_select("texte2, texte3, texte4", "spip_articles", "id_article=$id_article");
		if ($row = sql_fetch($query)) {
			$texte2= propre($row["texte2"]);
			$texte3= propre($row["texte3"]);
			$texte4= propre($row["texte4"]);


			if ($texte2) $texte2 = "<span class='titre_colonne' style='padding: 3px 5px; margin:10px 0; display:inline-block; background: var(--spip-color-theme-light);'>Colonne n°2 ou annexe</span><div class='champ contenu_texte'>$texte2</div>";
			if ($texte3) $texte3 = "<span class='titre_colonne' style='padding: 3px 5px; margin:10px 0;display:inline-block; background: var(--spip-color-theme-light);'>Colonne n°3</span><div class='champ contenu_texte'>$texte3</div>";
			if ($texte4) $texte4 = "<span class='titre_colonne' style='padding: 3px 5px; margin:10px 0;	display:inline-block; background: var(--spip-color-theme-light);'>Colonne n°4</span><div class='champ contenu_texte'>$texte4</div>";
			
			$flux["data"] .= $texte2.$texte3.$texte4;
		}
		
		
	}
	return $flux;
}

function textes_etendus_formulaire_traiter($flux){
	if ($flux['args']['form'] == 'editer_article') {
		$id_article = $flux['data']['id_article'];
		$texte2 = _request("texte2");
		$texte3 = _request("texte3");
		$texte4 = _request("texte4");
		sql_updateq("spip_articles",
			array(
				"texte2" => $texte2,
				"texte3" => $texte3,
				"texte4" => $texte4
			),
			"id_article=$id_article"
		);
	}
	return $flux;
}


function textes_etendus_editer_contenu_objet($flux){
	// recuperer les saisies de l'objet en cours
	$objet = $flux['args']['type'];
	if($objet == "article") {
		$id_article = intval($flux['args']['id']);
		
		$data = $flux["data"];


		$texte2 = "";
		$texte3 = "";
		$texte4 = "";

		$query = sql_select("texte2, texte3, texte4", "spip_articles", "id_article=$id_article");
		if ($row = sql_fetch($query)) {
			$texte2= $row["texte2"];
			$texte3= $row["texte3"];
			$texte4= $row["texte4"];
		}
		
		
		$ret = "
			<div class=\"editer editer_texte obligatoire\">
				<label for=\"text_area2\">
					Colonne n°2 ou annexe    
				</label>
				<textarea name='texte2' class='inserer_barre_edition inserer_previsualisation' id='text_area2' rows='10' cols='40'>$texte2</textarea>
			</div>
		";
		$ret .= "
			<div class=\"editer editer_texte obligatoire\">
				<label for=\"text_area3\">
					Colonne n°3  
				</label>
				<textarea name='texte3' class='inserer_barre_edition inserer_previsualisation' id='text_area3' rows='10' cols='40'>$texte3</textarea>
			</div>
		";
		$ret .= "
			<div class=\"editer editer_texte obligatoire\">
				<label for=\"text_area4\">
					Colonne n°4  
				</label>
				<textarea name='texte4' class='inserer_barre_edition inserer_previsualisation' id='text_area4' rows='10' cols='40'>$texte4</textarea>
			</div>
		";
		
		$pos = strpos($data, "editer_texte obligatoire");
		$pos = strpos($data, "</div>", $pos)+strlen("</div>");
		
		$fin = substr($data, $pos, strlen($data));
		$debut = substr($data, 0, $pos);
		
		$flux["data"] = $debut.$ret.$fin;
	}
	
	return $flux;


}